Bug 928228 - global name 'ROOT_PATH' is not defined
global name 'ROOT_PATH' is not defined
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F19Alpha/F19AlphaBlocker
  Show dependency treegraph
 
Reported: 2013-03-27 04:23 EDT by Petr Schindler
Modified: 2013-04-03 05:50 EDT (History)
13 users (show)

See Also:
Fixed In Version: python-blivet-0.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 05:50:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
traceback (793.68 KB, application/octet-stream)
2013-03-27 04:23 EDT, Petr Schindler
no flags Details
anaconda.log (11.07 KB, text/x-log)
2013-03-27 04:37 EDT, Petr Schindler
no flags Details
program.log (47.74 KB, text/x-log)
2013-03-27 04:38 EDT, Petr Schindler
no flags Details
storage.log (193.32 KB, text/x-log)
2013-03-27 04:38 EDT, Petr Schindler
no flags Details

  None (edit)
Description Petr Schindler 2013-03-27 04:23:34 EDT
Created attachment 716932 [details]
traceback

Description of problem:
an exception is raised during 'Creating ext4 on /dev/mapper/fedora-root'

This happens only on bare-metal (tested on two desktops). In virtual machines everything seems to work.

traceback:
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/util.py", line 268, in copy_to_system
    target = ROOT_PATH + source
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 2599, in write
    util.copy_to_system("/etc/multipath/bindings")
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1612, in write
    self.fsset.write()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 123, in doInstall
    storage.write()
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
NameError: global name 'ROOT_PATH' is not defined

Version-Release number of selected component (if applicable):
anaconda-19.13

How reproducible:
on bare metal

Steps to Reproduce:
1. Start anaconda
2. Choose default and use all disk(automatic partitioning)
3. Begin installation
  
Actual results:
Exception is raised while performing 'Creating ext4 on /dev/mapper/fedora-root'

Expected results:
Installation should continue

Additional info:
Comment 1 Petr Schindler 2013-03-27 04:37:13 EDT
Created attachment 716938 [details]
anaconda.log
Comment 2 Petr Schindler 2013-03-27 04:38:16 EDT
Created attachment 716939 [details]
program.log
Comment 3 Petr Schindler 2013-03-27 04:38:48 EDT
Created attachment 716940 [details]
storage.log
Comment 4 Stephen John Smoogen 2013-03-27 13:23:20 EDT
Have seen this on ASUS laptop trying to install x86_64 TC2 from USB stick.
Comment 5 Adam Williamson 2013-03-27 13:32:01 EDT
Discussed at 2013-03-27 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-03-27/f19alpha-blocker-review-3.2013-03-27-16.01.log.txt . Accepted as a blocker per criterion "The installer must be able to complete an installation to a single disk using automatic partitioning." for multiple bare metal cases. bcl says it will be fixed in the next python-blivet build.
Comment 6 Ľuboš Kardoš 2013-03-28 09:20:34 EDT
I have seen this also on virtual machines (qemu-kvm) when I set controller to SCSI. On virtual machines with IDE or Virito disks everything seems to work.
Comment 7 Adam Williamson 2013-04-02 22:10:39 EDT
python-blivet 0.9 was included in TC3. Can someone confirm that this is fixed in TC3? Thanks.
Comment 8 Ľuboš Kardoš 2013-04-03 04:34:27 EDT
Verified on Fedora 19 TC3.
Comment 9 Adam Williamson 2013-04-03 05:50:55 EDT
then we can close it.

Note You need to log in before you can comment on or make changes to this bug.